Contents

# LSet Statement

Diraa gara bitaa jijjiirama diraatti hiriirsisa, ykn jijjiramaa akaakuu hiika fayyadamaa tokkoo gara jijjiramaa akaakuu hiika fayyadamaa biraatti garagalcha.

### Syntax:

    LSet Var As String = Text or LSet Var1 = Var2

### Parameters:

Var: Jijjiiramaa diraa kamiyyuu, kan diraa akka gara bitaatti hiriiru barbaaddu of keessatti hammatu dha.

Barruu: Diraa kan gara bitaa jijjiirama diraatti akka hiriiru barbaaddu dha.

Var1: Maqaa jijjiiramaa akaakuu hiika fayyadamaa kan itti garagalchuu barbaaddu ti..

Var2: Maqaa jijjiiramaa akaakuu hiika fayyadamaa kan irraa garagalchuu barbaaddu ti.

Yoo diraan jijjiirama diraarra gabaabaa ta'e, LSet 'n diraa jijjiirama diraa keessaa bitaarratti hiriirsisa. Bakki jijjiirama diraa keessatti hafe kamiyyuu iddoo duwwaadhaan bakka bu'amu. Yoo diraan jijjiiramaa diraarra dheeraa ta'e, arfiiwwan moggaa bitaa haga dheerina jijjiramaa diraatti jiran qofti ni garagalfamu. Hima LSet tiin, akaakuu jijjiiramaa hiika fayyadamaa tokko gara jijjiiramaa akaakuu gosa tokkootti garagalchuu ni dandeessa.

### Example:

    Sub ExampleRLSet
    Dim sVar As String
    Dim sExpr As String
        sVar = String(40,"*")
        sExpr = "SBX"
        REM, "SBX" diraa bu'uraa arfii 40 keessatti  hiriirsisa
        REM,urjoowwan iddoodhaan bakka buusa.
        RSet sVar = sExpr
        Print ">"; sVar; "<"
        sVar = String(5,"*")
        sExpr = "123457896"
        RSet sVar = sExpr
        Print ">"; sVar; "<"
        sVar = String(40,"*")
        sExpr = "SBX"
        REM, "SBX" diraa bu'uraa arfii 40 keessatti gara bitaatti hiriirsa.
        LSet sVar = sExpr
        Print ">"; sVar; "<"
        sVar = String(5,"*")
        sExpr = "123456789"
        LSet sVar = sExpr
        Print ">"; sVar; "<"
    End Sub

Matadureewwan Walfakkatan

String functions